import{s as F,n as D,o as K}from"../chunks/scheduler.6062bdaf.js";import{S as tt,i as et,g as s,s as n,r as A,A as at,h as r,f as a,c as i,j as z,u as B,x as b,k as Q,y as lt,a as l,v as Y,d as E,t as N,w as X}from"../chunks/index.4bca734e.js";import{C as j}from"../chunks/CodeBlock.fa01571c.js";import{H as nt}from"../chunks/Heading.723dceba.js";function it(R){let o,v,y,T,p,x,m,G="🤗 Optimum can be installed using <code>pip</code> as follows:",H,d,_,f,V="If you’d like to use the accelerator-specific features of 🤗 Optimum, you can install the required dependencies according to the table below:",I,u,O='<thead><tr><th align="left">Accelerator</th> <th align="left">Installation</th></tr></thead> <tbody><tr><td align="left"><a href="https://onnxruntime.ai/docs/" rel="nofollow">ONNX runtime</a></td> <td align="left"><code>pip install --upgrade-strategy eager install optimum[onnxruntime]</code></td></tr> <tr><td align="left"><a href="https://www.intel.com/content/www/us/en/developer/tools/oneapi/neural-compressor.html" rel="nofollow">Intel Neural Compressor (INC)</a></td> <td align="left"><code>pip install --upgrade-strategy eager optimum[neural-compressor]</code></td></tr> <tr><td align="left"><a href="https://docs.openvino.ai/latest/index.html" rel="nofollow">Intel OpenVINO</a></td> <td align="left"><code>pip install --upgrade-strategy eager optimum[openvino,nncf]</code></td></tr> <tr><td align="left"><a href="https://habana.ai/training/" rel="nofollow">Habana Gaudi Processor (HPU)</a></td> <td align="left"><code>pip install --upgrade-strategy eager optimum[habana]</code></td></tr> <tr><td align="left"><a href="https://www.furiosa.ai/" rel="nofollow">FuriosaAI</a></td> <td align="left"><code>pip install --upgrade-strategy eager optimum[furiosa]</code></td></tr></tbody>',C,c,U="The <code>--upgrade-strategy eager</code> option is needed to ensure the different packages are upgraded to the latest possible version.",J,h,S="If you’d like to play with the examples or need the bleeding edge of the code and can’t wait for a new release, you can install the base library from source as follows:",k,g,L,w,q="For the accelerator-specific features, you can install them by appending <code>optimum[accelerator_type]</code> to the <code>pip</code> command, e.g.",P,$,W,M,Z;return p=new nt({props:{title:"Installation",local:"installation",headingTag:"h1"}}),d=new j({props:{code:"cHl0aG9uJTIwLW0lMjBwaXAlMjBpbnN0YWxsJTIwb3B0aW11bQ==",highlighted:"python -m pip install optimum",wrap:!1}}),g=new j({props:{code:"cHl0aG9uJTIwLW0lMjBwaXAlMjBpbnN0YWxsJTIwZ2l0JTJCaHR0cHMlM0ElMkYlMkZnaXRodWIuY29tJTJGaHVnZ2luZ2ZhY2UlMkZvcHRpbXVtLmdpdA==",highlighted:"python -m pip install git+https://github.com/huggingface/optimum.git",wrap:!1}}),$=new j({props:{code:"cHl0aG9uJTIwLW0lMjBwaXAlMjBpbnN0YWxsJTIwb3B0aW11bSU1Qm9ubnhydW50aW1lJTVEJTQwZ2l0JTJCaHR0cHMlM0ElMkYlMkZnaXRodWIuY29tJTJGaHVnZ2luZ2ZhY2UlMkZvcHRpbXVtLmdpdA==",highlighted:"python -m pip install optimum[onnxruntime]@git+https://github.com/huggingface/optimum.git",wrap:!1}}),{c(){o=s("meta"),v=n(),y=s("p"),T=n(),A(p.$$.fragment),x=n(),m=s("p"),m.innerHTML=G,H=n(),A(d.$$.fragment),_=n(),f=s("p"),f.textContent=V,I=n(),u=s("table"),u.innerHTML=O,C=n(),c=s("p"),c.innerHTML=U,J=n(),h=s("p"),h.textContent=S,k=n(),A(g.$$.fragment),L=n(),w=s("p"),w.innerHTML=q,P=n(),A($.$$.fragment),W=n(),M=s("p"),this.h()},l(t){const e=at("svelte-u9bgzb",document.head);o=r(e,"META",{name:!0,content:!0}),e.forEach(a),v=i(t),y=r(t,"P",{}),z(y).forEach(a),T=i(t),B(p.$$.fragment,t),x=i(t),m=r(t,"P",{"data-svelte-h":!0}),b(m)!=="svelte-wergr7"&&(m.innerHTML=G),H=i(t),B(d.$$.fragment,t),_=i(t),f=r(t,"P",{"data-svelte-h":!0}),b(f)!=="svelte-1az9spn"&&(f.textContent=V),I=i(t),u=r(t,"TABLE",{"data-svelte-h":!0}),b(u)!=="svelte-6p68c4"&&(u.innerHTML=O),C=i(t),c=r(t,"P",{"data-svelte-h":!0}),b(c)!=="svelte-1epvz9q"&&(c.innerHTML=U),J=i(t),h=r(t,"P",{"data-svelte-h":!0}),b(h)!=="svelte-1vwn6yx"&&(h.textContent=S),k=i(t),B(g.$$.fragment,t),L=i(t),w=r(t,"P",{"data-svelte-h":!0}),b(w)!=="svelte-1k9gtp3"&&(w.innerHTML=q),P=i(t),B($.$$.fragment,t),W=i(t),M=r(t,"P",{}),z(M).forEach(a),this.h()},h(){Q(o,"name","hf:doc:metadata"),Q(o,"content",ot)},m(t,e){lt(document.head,o),l(t,v,e),l(t,y,e),l(t,T,e),Y(p,t,e),l(t,x,e),l(t,m,e),l(t,H,e),Y(d,t,e),l(t,_,e),l(t,f,e),l(t,I,e),l(t,u,e),l(t,C,e),l(t,c,e),l(t,J,e),l(t,h,e),l(t,k,e),Y(g,t,e),l(t,L,e),l(t,w,e),l(t,P,e),Y($,t,e),l(t,W,e),l(t,M,e),Z=!0},p:D,i(t){Z||(E(p.$$.fragment,t),E(d.$$.fragment,t),E(g.$$.fragment,t),E($.$$.fragment,t),Z=!0)},o(t){N(p.$$.fragment,t),N(d.$$.fragment,t),N(g.$$.fragment,t),N($.$$.fragment,t),Z=!1},d(t){t&&(a(v),a(y),a(T),a(x),a(m),a(H),a(_),a(f),a(I),a(u),a(C),a(c),a(J),a(h),a(k),a(L),a(w),a(P),a(W),a(M)),a(o),X(p,t),X(d,t),X(g,t),X($,t)}}}const ot='{"title":"Installation","local":"installation","sections":[],"depth":1}';function st(R){return K(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ft extends tt{constructor(o){super(),et(this,o,st,it,F,{})}}export{ft as component};
